
Figure - 开发 Dev #113447
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110126 (New): 【MK】【AF】管理总票

开发 Dev # 110706 (New): 【MK】【FW】【GameMode】【TC-RID: 1201-0204801】

【MK】【FW】【GameMode】【TC-RID: 1201-0204804】Game Mode performance
2022-11-01 14:03 - CD FW-周羚洛

Status: 完成 Closed Start date: 2022-11-01

Priority: Normal Due date:

Assignee: CD FW王武军 % Done: 100%

Category: Estimated time: 0.00 hour

Target version:

Description

"把需求文档中4.1.2.2关于性能优化完成

游戏模式设置：https://thundersoft.feishu.cn/file/boxcn4WSiuGyviHMRNOXhMSrEaf

游戏模式交互布局及流程图：https://thundersoft.feishu.cn/file/boxcnjVzEvgG4o3bvrp1A7yWChe

游戏模式需求文档 ：https://thundersoft.feishu.cn/docx/doxcnkCbTXYb4vXfJfbXetgwYxb

History

#1 - 2022-11-01 14:04 - CD FW-周羚洛

- Subject changed from 【MK】【FW】【GameMode】【TC-RID: 1201-0204801】Game Mode GPU to 【MK】【FW】【GameMode】【TC-RID:

1201-0204801】Game Mode performance

- Description updated

#2 - 2022-11-01 14:12 - CD FW-周羚洛

- Subject changed from 【MK】【FW】【GameMode】【TC-RID: 1201-0204801】Game Mode performance to 【MK】【FW】【GameMode】【TC-RID:

1201-0204804】Game Mode performance

#3 - 2022-11-10 14:51 - CD FW-周羚洛

- % Done changed from 0 to 90

目前已经完成了：

对最近任务清理，缓存清理

剩余任务：

提升CPU性能

这个需要BSP支持（pending）

#4 - 2022-11-14 14:08 - CD FW-周羚洛

- Status changed from New to 进行中 In Progress

#5 - 2022-11-14 14:10 - CD FW-周羚洛

- Status changed from 进行中 In Progress to 保留中 Pending

#6 - 2022-11-14 14:43 - CD FW-周羚洛

- Assignee changed from CD FW-周羚洛 to CD FW王武军

#7 - 2022-11-15 10:22 - CD FW王武军

- Status changed from 保留中 Pending to 进行中 In Progress

- % Done changed from 90 to 10
#8 - 2022-12-15 11:55 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

168931 general/platform/build/soong Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:Performance: Add packages allowedAdd boostperf in package_allowed_list.txtTC-RID: 1201-0204804IssueID: TS-R-DF-113447Change-Id:

If89590f1a62716cbb0d1bbc5ec3edbf0c5db325a

#9 - 2022-12-15 11:55 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

169549 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

wujun.wang@thundersoft.com

AF:Performance: Fix targetconfig.xmlChange the SocIds from 356 to 481TC-RID: 1201-0204804IssueID: TS-R-DF-113447Change-Id:

I40d4fb7712cf37d37f6f8b9e19aef720268d19b1

#10 - 2022-12-15 11:55 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

168727 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:Performance: Add sepolicy to FgBoostPerfServiceAdd FgBoostPerfService SELinux sepolicyTC-RID: 1201-0204804IssueID: TS-R-DF-113447Change-Id:

Id4636ddb6d714a14db376b3999e92d99e2d3dbcd

#11 - 2022-12-15 11:56 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

168730 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:Performance: Add basic FgBoostPerfServiceAdd FgBoostPerfServiceTC-RID: 1201-0204804IssueID: TS-R-DF-113447Change-Id:

Ie52c1664469be01c56e4d4b5b0e51b576cac5319

#12 - 2022-12-15 11:56 - IoT scm
Gerrit Merge Information：

ID Project Branch Uploader

168734 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:Performance: Add basic logicAdd basic logic about perfTC-RID: 1201-0204804IssueID: TS-R-DF-113447Change-Id:

I6dc2be38fcceeb647070bfcaa18e53f95b961ab7

#13 - 2022-12-22 20:51 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

161197 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

AF:GameMode:clear recent task and memoryTC-RID: 1201-0204804IssueID: TS-R-DF-113447Change-Id: I32cb938c63ff6a489f715611a05e3ca955e352e4

#14 - 2023-01-17 18:22 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

177065 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: Add perf-hint performanceAdd new policy to add the perf-hintwith performace.Keep the game app can workin performance mode when game

mode stateis opened.TC-RID: 1201-0204804IssueID: TS-R-DF-113447Change-Id: I324f4e5a9dc945eab6131ef9a893448c2eb0d178

#15 - 2023-01-17 18:27 - CD FW王武军

    -  当前状态

game mode 性能相关的开发目前已经实现了：

1）在游戏模式开启下，启动游戏应用时执行boost操作；

2）在游戏模式开启下，启动游戏应用时执行performance操作

现在的测试方式是通过查看设备节点值，至于其他专门的校验工具还需要调研。

后续存在其他更好的策略时，通过bug的方式来进行管理。

#16 - 2023-01-17 18:31 - CD FW王武军

- Status changed from 进行中 In Progress to 完成 Closed

- % Done changed from 10 to 100
